﻿Imports System.IO
Imports game_db.GameDataSet

Public Class Form1

    Private _dataSource As String = "game_db.xml"

    Dim Pfad As String
    Dim ofd As New OpenFileDialog

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Dim _dataSoure = DirectCast(GamesBindingSource.Current, DataRowView)
        GameDataSet1.ReadXml(_dataSource)
    End Sub


    Private Sub BtnPath_Click(sender As Object, e As EventArgs) Handles BtnPath.Click
        'Pfad für .exe Datei

        OpenFileDialog1.ShowDialog()
        Pfad = OpenFileDialog1.FileName
        TextBox2.Text = Pfad

    End Sub

    Private Sub BtnIcon_Click(sender As Object, e As EventArgs) Handles BtnIcon.Click
        'Pfad für .icon Datei

        If ofd.ShowDialog() = Windows.Forms.DialogResult.OK Then
            PictureBox1.Image = Image.FromFile(ofd.FileName)
            PictureBox1.BackgroundImageLayout = ImageLayout.Stretch
        End If

    End Sub

    Private Sub BtnAddGame_Click(sender As Object, e As EventArgs) Handles BtnAddGame.Click
        'Add Game - Button

        Dim text As String = ""
        Dim caption As String = "Game Manager"

        If TextBox1.Text = Nothing And TextBox2.Text = Nothing Then
            MessageBox.Show("Bitte Name des Spieles eintragen oder Pfad angeben", caption, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        ElseIf TextBox1.Text = Nothing Then
            MessageBox.Show("Bitte Name des Spiels eingeben", caption, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        ElseIf TextBox2.Text = Nothing Then
            MessageBox.Show("Bitte Pfad auswählen", caption, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)

        Else
            'In DB die Daten hinzufügen

            Me.GamesBindingSource.AddNew()
            Me.GameDataSet1.WriteXml(_dataSource)
            Me.GamesBindingSource.EndEdit()

        End If


    End Sub

    Private Sub BtnControl_Click(sender As Object, e As EventArgs) Handles BtnControl.Click
        'Control - Button

        Me.Visible = False
        Form2.Show()

    End Sub

    Private Sub PictureBox1_Click(sender As Object, e As EventArgs) Handles PictureBox1.Click

    End Sub

    Private Sub BtnStart_Click(sender As Object, e As EventArgs) Handles BtnStart.Click
        'Starten der ausgewählen ID der DB

        Dim text As String = ""
        Dim caption As String = "Game Manager"


        If ComboBox1.Text = Nothing Then
            MessageBox.Show("Bitte ein Spiel wählen!", caption, MessageBoxButtons.OK, MessageBoxIcon.Information)
        Else
            ComboBox1.SelectedItem = Process.Start("")
        End If

    End Sub

    Private Sub BtnDelete_Click(sender As Object, e As EventArgs) Handles BtnDelete.Click
        'Delete - Button

        Me.GamesBindingSource.RemoveCurrent()
        Me.GameDataSet1.WriteXml(_dataSource)
        Me.GamesBindingSource.EndEdit()

    End Sub

    Private Sub BtnExit_Click(sender As Object, e As EventArgs) Handles BtnExit.Click
        'Exit - Button

        Me.Close()
    End Sub

    Private Sub TextBox1_TextChanged(sender As Object, e As EventArgs) Handles TextBox1.TextChanged

    End Sub
End Class
